I can't pledge, the plugin give me this error: There was

I can't pledge, the plugin give me this error:
There was a problem connecting with the paypal gateway. (CODE)520003 Authentication failed. API credentials are incorrect.
http://www.idae-extreme.com/fundraisers/less_or_more1/pledge/

Using sandbox and no application ID.
Can you help me?
The plugin is the last version (downloaded yesterday).
Thank you